Skip to main content

Retrieve the configuration manager health status in NetApp Console local deployment

GET /health

Returns the health status of the configuration manager service.

Response

Status: 200, Returns the health status of the configuration manager service in the JSON response body. It provides information about agent gateway connectivity and whether the configuration is loaded.
Name Type Required Description

details

details

False

Additional health check details

service

string

True

Name of the service

serviceVersion

string

False

Version of the service

status

string

True

Health status of the service. Defined values are:

  • "healthy" - Service is operational

  • "unhealthy" - Service has issues

  • "degraded" - Service is partially operational

timestamp

string

False

Timestamp of the health check

type

string

True

Media type of the resource. Defined values are:

  • "application/vnd.netapp.bxp.health"

version

string

True

Version of the resource. Defined values are:

  • "1.0"

Example response
{
  "service": "agentgateway-config-manager",
  "serviceVersion": "1.0.0",
  "status": "healthy",
  "timestamp": "2025-01-16T10:30:00Z",
  "type": "application/vnd.netapp.bxp.health",
  "version": "1.0"
}

Definitions

See Definitions

details

Additional health check details

Name Type Required Description

agentgatewayConnected

boolean

False

Indicates whether the AgentGateway is reachable.

configLoaded

boolean

False

Indicates whether the configuration is loaded.